# Component Library ## Retrieve the Component Library - [GET /zephr/public/component-library/v1/library-components/{componentId}](https://developer.zuora.com/zephr-api-reference/zephr-public-api/component-library/retrievecomponentlibrary.md): Components configured in the component library can be retrieved as rendered HTML. The componentId passed in the path can be versioned to reference a specific version of a library component. For example, ‘payment-form:1’, ‘payment-form:4’ or ‘payment-form:active’ to reference the default version of the component. ## Retrieve the Template Components - [GET /zephr/public/template-components/v1/template-components/{templateConfigId}](https://developer.zuora.com/zephr-api-reference/zephr-public-api/component-library/retrievetemplatecomponents.md): Template components can be retrieved as rendered HTML. This endpoint is intended to be consumed by callers processing the output of an SDK TRANSFORMATION rule, where templateConfigId will identify a particular instance of a template component being used in an outcome with variables specified. ## Retrieve the UI Components - [GET /zephr/public/ui-components/v1/ui-components/{componentId}](https://developer.zuora.com/zephr-api-reference/zephr-public-api/component-library/retrieveuicomponents.md): UI components can be retrieved as rendered HTML. This endpoint is intended to be consumed by callers processing the output of an SDK TRANSFORMATION rule, where componentId will reference a form or custom component created within an outcome of a rule. ## Retrieve a form by ID - [GET /zephr/public/forms/v1/forms/{formId}](https://developer.zuora.com/zephr-api-reference/zephr-public-api/component-library/getform.md): Retrieves a form by ID and returns an HTML page that renders it. ## List custom components - [GET /zephr/public/internal-templates/v1/internal-templates/{internalTemplateUsageId}](https://developer.zuora.com/zephr-api-reference/zephr-public-api/component-library/retrievecustomcomponents.md): Custom components can be retrieved as rendered HTML. This endpoint is intended to be consumed by callers processing the output of an SDK TRANSFORMATION rule, where internalTemplateUsageId will identify a particular instance of a custom component being used in an outcome with variables specified. The variables used by the custom component can be passed in as query parameters with the request which will override the values provided in the rule.